ContentSecurityPolicy.Net 1.0.10

.NET Framework 4.0
dotnet add package ContentSecurityPolicy.Net --version 1.0.10
NuGet\Install-Package ContentSecurityPolicy.Net -Version 1.0.10
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="ContentSecurityPolicy.Net" Version="1.0.10" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add ContentSecurityPolicy.Net --version 1.0.10
#r "nuget: ContentSecurityPolicy.Net, 1.0.10"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install ContentSecurityPolicy.Net as a Cake Addin
#addin nuget:?package=ContentSecurityPolicy.Net&version=1.0.10

// Install ContentSecurityPolicy.Net as a Cake Tool
#tool nuget:?package=ContentSecurityPolicy.Net&version=1.0.10

Support for Content Security Policy for ASP.NET applications.
     New in version 1.0.10 - Full support for the 1.0 version of CSP. Includes some breaking config changes in preparation for the 1.0.
 "options" is no longer available. The options have now been moved to allowedScriptSources unsafeAllowEval and unsafeAllowInline
 allowedXhrSources is now allowedConnectSources.

Product Versions
.NET Framework net40 net403 net45 net451 net452 net46 net461 net462 net463 net47 net471 net472 net48
Compatible target framework(s)
Additional computed target framework(s)
Learn more about Target Frameworks and .NET Standard.

This package has no dependencies.

NuGet packages

This package is not used by any NuGet packages.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
1.0.10 2,069 8/28/2012
1.0.6 1,655 9/29/2011
1.0.5 1,456 6/21/2011
1.0.4 1,462 6/15/2011
1.0.3 1,320 6/15/2011
1.0.2 1,400 5/10/2011